Turris OS 5.2.0 is in HBT (Testing) branch

I do have the same “forbidden” message temporarily

Hello @xsys,

We are so sorry that this bug in the Netmetr card in the overview slipped through our testing! This is fixed in the upcoming RC version. Thank you for letting us know about this.

Hello,
Just applied the upgrade (was already on HBT).

I cannot login to reforis nor foris.

Reforis error:

ControllerMissing	Python 3.7.10: /usr/bin/python3
Tue May 4 09:55:32 2021

A problem occurred in a Python script. Here is the sequence of function calls leading up to the error, in the order they occurred.
 /usr/lib/python3.7/site-packages/flup/server/fcgi_base.py in run(self=<flup.server.fcgi_base.Request object>)
 /usr/lib/python3.7/site-packages/flup/server/fcgi_base.py in handler(self=<flup.server.fcgi.WSGIServer object>, req=<flup.server.fcgi_base.Request object>)
 /usr/lib/python3.7/site-packages/reforis/__main__.py in __call__(self=<reforis.__main__.AppWrapper object>, environ={'CONTENT_LENGTH': '0', 'DOCUMENT_ROOT': '/www/turris-webapps/', 'GATEWAY_INTERFACE': 'CGI/1.1', 'HTTPS': 'on', 'HTTP_ACCEPT': 'text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,*/*;q=0.8', 'HTTP_ACCEPT_ENCODING': 'gzip, deflate, br', 'HTTP_ACCEPT_LANGUAGE': 'fr-FR,fr;q=0.8,en-US;q=0.5,en;q=0.3', 'HTTP_CACHE_CONTROL': 'no-cache', 'HTTP_DNT': '1', 'HTTP_HOST': '192.168.1.1', ...}, start_response=<function BaseFCGIServer.handler.<locals>.start_response>)
 /usr/lib/python3.7/site-packages/flask/app.py in __call__(self=<Flask 'reforis'>, environ={'CONTENT_LENGTH': '0', 'DOCUMENT_ROOT': '/www/turris-webapps/', 'GATEWAY_INTERFACE': 'CGI/1.1', 'HTTPS': 'on', 'HTTP_ACCEPT': 'text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,*/*;q=0.8', 'HTTP_ACCEPT_ENCODING': 'gzip, deflate, br', 'HTTP_ACCEPT_LANGUAGE': 'fr-FR,fr;q=0.8,en-US;q=0.5,en;q=0.3', 'HTTP_CACHE_CONTROL': 'no-cache', 'HTTP_DNT': '1', 'HTTP_HOST': '192.168.1.1', ...}, start_response=<function BaseFCGIServer.handler.<locals>.start_response>)
 /usr/lib/python3.7/site-packages/flask/app.py in wsgi_app(self=<Flask 'reforis'>, environ={'CONTENT_LENGTH': '0', 'DOCUMENT_ROOT': '/www/turris-webapps/', 'GATEWAY_INTERFACE': 'CGI/1.1', 'HTTPS': 'on', 'HTTP_ACCEPT': 'text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,*/*;q=0.8', 'HTTP_ACCEPT_ENCODING': 'gzip, deflate, br', 'HTTP_ACCEPT_LANGUAGE': 'fr-FR,fr;q=0.8,en-US;q=0.5,en;q=0.3', 'HTTP_CACHE_CONTROL': 'no-cache', 'HTTP_DNT': '1', 'HTTP_HOST': '192.168.1.1', ...}, start_response=<function BaseFCGIServer.handler.<locals>.start_response>)
 /usr/lib/python3.7/site-packages/flask/app.py in handle_exception(self=<Flask 'reforis'>, e=ControllerMissing('Connection to controller 0000000B0000E881 is lost.'))
 /usr/lib/python3.7/site-packages/reforis/__init__.py in internal_error(error=<InternalServerError '500: Internal Server Error'>)
 /usr/lib/python3.7/site-packages/flask/templating.py in render_template(template_name_or_list='errors/500.html', **context={'error': <InternalServerError '500: Internal Server Error'>, 'g': <flask.ctx._AppCtxGlobals object>, 'request': <Request 'https://192.168.1.1/reforis/' [GET]>, 'session': <FileSystemSession {'_permanent': True}>})
 /usr/lib/python3.7/site-packages/flask/app.py in update_template_context(self=<Flask 'reforis'>, context={'error': <InternalServerError '500: Internal Server Error'>, 'g': <flask.ctx._AppCtxGlobals object>, 'request': <Request 'https://192.168.1.1/reforis/' [GET]>, 'session': <FileSystemSession {'_permanent': True}>})
 /usr/lib/python3.7/site-packages/reforis/__init__.py in add_translations_catalog_to_ctx()
 /usr/lib/python3.7/site-packages/flask_babel/__init__.py in get_locale()
 /usr/lib/python3.7/site-packages/reforis/__init__.py in get_locale()
 /usr/lib/python3.7/site-packages/reforis/__init__.py in _get_locale_from_backend(app=<Flask 'reforis'>)
 /usr/lib/python3.7/site-packages/reforis/backend.py in perform(self=MqttSender, module='web', action='get_data', data=None, raise_exception_on_failure=True, controller_id=None)
 /usr/lib/python3.7/site-packages/reforis/backend.py in perform(self=MqttSender, module='web', action='get_data', data=None, raise_exception_on_failure=True, controller_id=None)
 /usr/lib/python3.7/site-packages/reforis/backend.py in _send(self=MqttSender, module='web', action='get_data', data=None, controller_id=None)
 /usr/lib/python3.7/site-packages/foris_client/buses/mqtt.py in send(self=<foris_client.buses.mqtt.MqttSender object>, module='web', action='get_data', data=None, timeout=30.0, controller_id='0000000B0000E881')
 /usr/lib/python3.7/site-packages/foris_client/buses/mqtt.py in check_controllers()

ControllerMissing: Connection to controller 0000000B0000E881 is lost.
      args = ('Connection to controller 0000000B0000E881 is lost.',)
      device_id = '0000000B0000E881'
      with_traceback = <built-in method with_traceback of ControllerMissing object> 

Foris stack trace:

  File "/usr/lib/python3.7/site-packages/foris_client/buses/mqtt.py", line 358, in send
  File "/usr/lib/python3.7/queue.py", line 178, in get
_queue.Empty

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/foris/middleware/backend_data.py", line 54, in __call__
  File "/usr/lib/python3.7/site-packages/foris/backend.py", line 102, in perform
  File "/usr/lib/python3.7/site-packages/foris/backend.py", line 85, in perform
  File "/usr/lib/python3.7/site-packages/foris_client/buses/mqtt.py", line 360, in send
  File "/usr/lib/python3.7/site-packages/foris_client/buses/mqtt.py", line 334, in check_controllers
foris_client.buses.base.ControllerMissing: Connection to controller 0000000B0000E881 is lost.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/foris/middleware/reporting.py", line 93, in __call__
  File "/usr/lib/python3.7/site-packages/foris/middleware/backend_data.py", line 60, in __call__
  File "/usr/lib/python3.7/site-packages/bottle_i18n.py", line 68, in __call__
  File "/usr/bin/bottle.py", line 979, in __call__
  File "/usr/bin/bottle.py", line 954, in wsgi
  File "/usr/bin/bottle.py", line 862, in _handle
  File "/usr/bin/bottle.py", line 1742, in wrapper
  File "/usr/bin/bottle.py", line 3644, in wrapper
  File "/usr/lib/python3.7/site-packages/foris/config/__init__.py", line 367, in top_index
AttributeError: 'ForisState' object has no attribute 'password_set'

edit: I do have a password set in /etc/config/foris:

config config 'auth'
        option password '$p5XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX'

Dear Turris users,

Today we released a new RC 2 version of Turris OS 5.2.0
The release fixes multiple bugs discovered after RC 1 release. The most visible ones are related to reForis.

  • reForis - improved password form
  • reForis-storage-plugin - multiple UI improvements
  • reForis-netmetr-plugin - fix for displaying ping and other UI improvements

Other minor changes are related to updater-ng and initial-conf packages.

We would like to hear feedback on how you like this update.

2 Likes

Hey,

Here is a weird thing in my logs :

May 4 17:49:43 turris kernel: [ 78.689452] mwifiex_sdio mmc0:0001:1: Firmware wakeup failed

My SDIO card is not working and I expected a good news reading the changelog. I did a fresh install.

Full log :

May  4 17:49:43 turris kernel: [   78.689452] mwifiex_sdio mmc0:0001:1: Firmware wakeup failed
May  4 17:49:43 turris kernel: [   78.695948] mwifiex_sdio mmc0:0001:1: info: shutdown mwifiex...
May  4 17:49:43 turris kernel: [   78.703565] mwifiex_sdio mmc0:0001:1: PREP_CMD: card is removed
May  4 17:49:44 turris kernel: [   78.764787] mwifiex_sdio mmc0:0001:1: PREP_CMD: card is removed
May  4 17:49:44 turris kernel: [   78.774101] mwifiex_sdio mmc0:0001:1: PREP_CMD: card is removed
May  4 17:49:44 turris kernel: [   78.795020] mwifiex_sdio mmc0:0001:1: PREP_CMD: card is removed
May  4 17:49:44 turris kernel: [   78.952837] sdio_read_cccr card report SDIO_UHS_DDR50
May  4 17:49:44 turris kernel: [   78.958356] sdio_read_cccr card report SDIO_UHS_SDR50
May  4 17:49:44 turris kernel: [   78.963613] sdio_read_cccr card report SDIO_UHS_SDR104
May  4 17:49:45 turris kernel: [   80.005914] mwifiex_sdio mmc0:0001:1: info: FW download over, size 626760 bytes
May  4 17:49:46 turris kernel: [   80.869448] mwifiex_sdio mmc0:0001:1: WLAN FW is active
May  4 17:49:56 turris kernel: [   91.397964] mwifiex_sdio mmc0:0001:1: mwifiex_cmd_timeout_func: Timeout cmd id = 0xa9, act = 0x0
May  4 17:49:56 turris kernel: [   91.406817] mwifiex_sdio mmc0:0001:1: num_data_h2c_failure = 0
May  4 17:49:56 turris kernel: [   91.412874] mwifiex_sdio mmc0:0001:1: num_cmd_h2c_failure = 0
May  4 17:49:56 turris kernel: [   91.419096] mwifiex_sdio mmc0:0001:1: is_cmd_timedout = 1
May  4 17:49:56 turris kernel: [   91.424693] mwifiex_sdio mmc0:0001:1: num_tx_timeout = 0
May  4 17:49:56 turris kernel: [   91.429944] mwifiex_sdio mmc0:0001:1: last_cmd_index = 3
May  4 17:49:56 turris kernel: [   91.435606] mwifiex_sdio mmc0:0001:1: last_cmd_id: 20 00 20 00 20 00 a9 00 1e 00
May  4 17:49:56 turris kernel: [   91.443097] mwifiex_sdio mmc0:0001:1: last_cmd_act: 08 00 08 00 08 00 00 00 00 00
May  4 17:49:56 turris kernel: [   91.450753] mwifiex_sdio mmc0:0001:1: last_cmd_resp_index = 2
May  4 17:49:56 turris kernel: [   91.456961] mwifiex_sdio mmc0:0001:1: last_cmd_resp_id: 20 80 20 80 20 80 cd 80 1e 80
May  4 17:49:56 turris kernel: [   91.464982] mwifiex_sdio mmc0:0001:1: last_event_index = 3
May  4 17:49:56 turris kernel: [   91.470480] mwifiex_sdio mmc0:0001:1: last_event: 00 00 0b 00 0a 00 0b 00 00 00
May  4 17:49:56 turris kernel: [   91.478220] mwifiex_sdio mmc0:0001:1: data_sent=1 cmd_sent=1
May  4 17:49:56 turris kernel: [   91.484249] mwifiex_sdio mmc0:0001:1: ps_mode=0 ps_state=0
May  4 17:49:56 turris kernel: [   91.490071] mwifiex_sdio mmc0:0001:1: info: _mwifiex_fw_dpc: unregister device
May  4 15:49:58 turris netifd: radio1 (7161): Could not find PHY for device 'radio1'

No feedback as I still cannot login to reforis (cf my message above), even with RC2.

Just for reference to others and most notably to my colleagues: I am looking in to this with @X-dark in private conversation.

1 Like

Update on my side was okay. After a long time without an unintended reboot.

Dear Turris users,

Today we released an RC 3 version of Turris OS 5.2.0. This release fixes security issues found in Linux Kernel, OpenVPN and also addresses bugs that were found after RC 2 release.

Security updates:

Other updates:

  • Nextcloud - fixes for Foris backend integration
  • turris-cagen - fixes link for pre-generated dhparam

And as with other releases, we would like to hear your feedback.

4 Likes

MOX classic, WiFi, .5 GB, simple config, update to RC3 OK (didn’t wake up after reboot), all seems to work.

No problem with latest RC3 on TO. (still no Foris/Reforis but that’s another story)

Now I’ve noticed that since updating to RC1, my syslog is broken and I have no logs!

I had a custom logging config before which stored logs onto a HDD. I did NOT choose to store logs on /srv via Reforis.

This is what I get when manually trying to start syslog-ng:

Error resolving reference; content='source', name='net', location='/usr/share/syslog-ng/include/scl/storage/plugin.conf:9:2'

If I manually run /usr/libexec/syslog-ng-srv.sh, it outputs

destination(srv_messages)

even though syslog is not configured:

# cat /etc/config/storage

config srv 'srv'
	option uuid '99fc398c-137e-4501-9cf3-8410439984a6'
	option debug '1'

I see you added the net source in /etc/syslog-ng.conf-opkg which I don’t have in mine. But I don’t think losing all logging is a good thing right after performing an update on a customized router.

My last recorded logs are on 15 April, which corresponds to the time of update.

Hello,

unfortunatelly it doesn’t work for me. I says mistake about missing space, but I have 1,4 GB of free space… rolled back to HBS

Please is there any way how to extend free space (I mean copying all card to new 16 GB and than extend space… I tried it in the past, but router doesn’t boot… ) - tried on oldest Turris 1.0 with 5.1.9

Like @jada4p MOX classic, the timing of the update to RC3 went OK whereby I got the email notification and then automatic reboot 24h later, but there was no network in the morning after reboot so I had to do a manual hard reboot. Seems to be working fine since.

I will check this out, thank you for reporting!

I see. Your router seems to be migrated from Turris OS 3.x, right? Because I was able to find that the section net source was missing in Turris OS 3.x. It was not added during migration as it might seem that you tinkered or did some modification to syslog’s configuration file and that it was not replaced due to changes that were done to it.
Right now, it is possible to add it there manually and we are finding ways how to fix it.

Yep, that’s right, I migrated from 3.x.

Another RC of Turris OS 5.2.0 is out!

What is new?

  • updated Knot Resolver
  • fixed XSS in LuCI (CVE-2021-32019)
4 Likes

We would like to thank anyone who participated and helped us during testing this version! :slight_smile:

1 Like